<?php
if ( !defined( 'IN_CMS' ) ) {
    exit();
}

IoC::resolve( 'eventmediator' )->attach( 'before_dispatch', function( $controller, $request, $response ) {
    IoC::register( 'login_url', function() {
        return 'auth/link';
    } );
    return true;
} );

IoC::resolve( 'eventmediator' )->attach( 'before_route', function( FastRoute\RouteCollector $r, $request, $response ) {
    $r->get( 'auth/link', 'plugins\\passwordless\\controllers\\LoginController@loginform' );
    $r->post( 'auth/link', 'plugins\\passwordless\\controllers\\LoginController@sendLoginLink' );
    $r->get( 'auth/login/{token:[a-zA-Z0-9]+}', 'plugins\\passwordless\\controllers\\LoginController@login' );
    return true;
});

$logger = IoC::resolve( 'logger' );
$logger->info( 'Plugin passwordless initialized.' );

return true;
