<?php
if ( !defined( 'IN_CMS' ) ) {
    exit();
}

use \IoC;
use \Configuration;

$schema = IoC::resolve( 'sqlschema' );

$schema->dropTableIfexists( 'magiclink' );

$schema->createTable( 'magiclink', [
    'magiclink_id' => ['integer', ['not_null' => true, 'primary_key' => true, 'identity' => true]],
    'token' => ['varchar', ['length' => 255, 'default' => 'NULL']],
    'cookie_token' => ['varchar', ['length' => 255, 'default' => 'NULL']],
    'user_id' => ['integer', ['default' => 'NULL']],
    'token_generated_at' => ['datetime', ['default' => 'NULL']]
] );
$schema->addIndex( 'UX_magiclink', 'magiclink', 'token', true );

$schema->addForeignKey( 'FK_magiclink', 'magiclink', 'user_id', 'user', 'user_id', 'SET NULL', 'CASCADE' );

$configurationHandler = IoC::resolve( 'databaseConfigurationHandler' );
$settings = new Configuration( $configurationHandler );

$settings['passwordless.token_validity'] = 900; //5 min

$configurationHandler->save();

$logger = IoC::resolve( 'logger' );
$logger->info( 'Plugin passwordless successfully installed.' );

return true;
