<?php
namespace plugins\passwordless\models;

use \ActiveRecord;
use \DateTimeImmutable;
use \models\User;

/**
 * Magiclink model class
 * @author Jérôme Brilland
 * @version 1.0
 * @copyright (c) 2023, Jérôme Brilland
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License
 */
class Magiclink extends ActiveRecord {
    
    private $user = null;
    
    protected function validate() {
        //~ $this->validateNotEmpty( 'token', 'Token cannot be empty.' );
        $this->validateUnique( 'token', 'Token already exists.' );
    }
    
    protected function getUser() {
        return $this->user ?: $this->user = User::findOne( $this->user_id );
    }

}
