<?php
if ( !defined( 'IN_CMS' ) ) {
    exit();
}

use \IoC;
use \Configuration;

$schema = IoC::resolve( 'sqlschema' );

$schema->dropIndex( 'UX_magiclink', 'magiclink' );
$schema->dropForeignKey( 'FK_magiclink', 'magiclink' );
$schema->dropTable( 'magiclink' );

$configurationHandler = IoC::resolve( 'databaseConfigurationHandler' );
$settings = new Configuration( $configurationHandler );

unset( $settings['passwordless.token_validity'] );

$configurationHandler->save();

$logger = IoC::resolve( 'logger' );
$logger->info( 'Plugin passwordless successfully uninstalled.' );

return true;
